#
# ulpk01.rb
#
# $Id: ulpk01.rb,v 1.1 2000/11/22 14:35:58 keiko Exp $
#

require "narray"
require "dcl"

include DCL
include Math


NBL = 2

#-- data ---
bl = NArray[1.0, 3.0]

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn(-(iws.abs))

sglset('LFULL', true)
uzfact(0.7)
slrat(0.75, 1.0)
sldiv('T', 1, 7)

sgfrm
uzinit
sgswnd(0.15, 200.0, 0.1, 1e5)
sgsvpt(0.1, 0.9, 0.1, 0.11)
sgstrn(4)
sgstrf
uliset('IXTYPE', 1)
ulxlog('B', 1, 9)
ctl = 'ULXLOG (IXTYPE=1,NLBL=1,NTCK=9)'
uxsttl('B', ctl, 0.0)

sglset('LCNTL', true)

sgfrm
uzinit
sgswnd(0.15, 200.0, 0.1, 1e5)
sgsvpt(0.1, 0.9, 0.1, 0.11)
sgstrn(4)
sgstrf
uliset('IXTYPE', 1)
ulxlog('B', 3, 9)
ctl = 'ULXLOG (IXTYPE=1,NLBL=3,NTCK=9)'
uxsttl('B', ctl, 0.0)

sgfrm
uzinit
sgswnd(0.15, 200.0, 0.1, 1e5)
sgsvpt(0.1, 0.9, 0.1, 0.11)
sgstrn(4)
sgstrf
uliset('IXTYPE', 2)
ulxlog('B', 3, 9)
ctl = 'ULXLOG (IXTYPE=2,NLBL=3,NTCK=9)'
uxsttl('B', ctl, 0.0)

sgfrm
uzinit
sgswnd(0.15, 200.0, 0.1, 1e5)
sgsvpt(0.1, 0.9, 0.1, 0.11)
sgstrn(4)
sgstrf
uliset('IXTYPE', 3)
ulxlog('B', 3, 9)
ctl = 'ULXLOG (IXTYPE=3,NLBL=3,NTCK=9)'
uxsttl('B', ctl, 0.0)

sgfrm
uzinit
sgswnd(0.15, 200.0, 0.1, 1e5)
sgsvpt(0.1, 0.9, 0.1, 0.11)
sgstrn(4)
sgstrf
uliset('IXTYPE', 4)
ulxlog('B', 3, 9)
ctl = 'ULXLOG (IXTYPE=4,NLBL=3,NTCK=9)'
uxsttl('B', ctl, 0.0)

sgfrm
uzinit
sgswnd(0.15, 200.0, 0.1, 1e5)
sgsvpt(0.1, 0.9, 0.1, 0.11)
sgstrn(4)
sgstrf
ulxsfm('(F5.1)')
uliset('IXTYPE', 3)
ulxlog('B', 3, 9)
ctl = 'ULXLOG (IXTYPE=3,NLBL=3,NTCK=9)'
uxsttl('B', ctl, 0.0)

sgfrm
uzinit
sgswnd(0.15, 200.0, 0.1, 1e5)
sgsvpt(0.1, 0.9, 0.1, 0.11)
sgstrn(4)
sgstrf
uliset('IXTYPE', 1)
uliset('IXCHR', 194)
ulsxbl(bl, NBL)
ulxlog('B', 4, 5)
ctl = 'ULXLOG (IXTYPE=1,NLBL=4,NTCK=5)'
uxsttl('B', ctl, 0.0)

sgcls

